summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2019-10-04 15:41:10 +0200
committerMichał Górny <mgorny@gentoo.org>2019-10-04 15:48:22 +0200
commitfefa0f38c414c5b5331e7977399968f4ef8969eb (patch)
tree27382c194978bf065813d32217fc59e2ba277afd /xfce-extra/xfce4-wavelan-plugin
parentxfce-extra/xfce4-eyes-plugin: Bump to 4.5.0 (diff)
downloadgentoo-fefa0f38c414c5b5331e7977399968f4ef8969eb.tar.gz
gentoo-fefa0f38c414c5b5331e7977399968f4ef8969eb.tar.bz2
gentoo-fefa0f38c414c5b5331e7977399968f4ef8969eb.zip
xfce-extra/xfce4-wavelan-plugin: Bump to 0.6.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'xfce-extra/xfce4-wavelan-plugin')
-rw-r--r--xfce-extra/xfce4-wavelan-plugin/Manifest1
-rw-r--r--xfce-extra/xfce4-wavelan-plugin/xfce4-wavelan-plugin-0.6.1.ebuild27
2 files changed, 28 insertions, 0 deletions
diff --git a/xfce-extra/xfce4-wavelan-plugin/Manifest b/xfce-extra/xfce4-wavelan-plugin/Manifest
index 91e6e348031..818a9aa5ce7 100644
--- a/xfce-extra/xfce4-wavelan-plugin/Manifest
+++ b/xfce-extra/xfce4-wavelan-plugin/Manifest
@@ -1 +1,2 @@
DIST xfce4-wavelan-plugin-0.6.0.tar.bz2 303220 BLAKE2B ce2a8fe3f8cb6ef312459ae73d2cde1a87052a5a9b45e06795937656bf926ff3f8dd73ad0e8d1770d6ded7761cbc787b21ef0ca1b04580ab3dd4961453ae0ef3 SHA512 50dd069902d69071f0d4ab7036fa451ae6cdaca9fbeb56255d58a5864d4e4b3749267b1cc4b411e1073daac9678554f3d483d30aba759ef161425ba3cdd0306e
+DIST xfce4-wavelan-plugin-0.6.1.tar.bz2 328287 BLAKE2B ff48a3ea2a0a3ba349545b687f0ce345055917a7da1e7e6bb829239f2e304bf4092713e40599e641d54e225a86470c292ac224f5bab479f99496d0aea00dfd73 SHA512 530758dec07b404009117038fa6bcac5aaebf9db97710cdeafadece4eb5680318023404276fae8cf1ff38fb5e9eb807f77eea23a30740674a8659404eb17aeec
diff --git a/xfce-extra/xfce4-wavelan-plugin/xfce4-wavelan-plugin-0.6.1.ebuild b/xfce-extra/xfce4-wavelan-plugin/xfce4-wavelan-plugin-0.6.1.ebuild
new file mode 100644
index 00000000000..b0523fdc5a4
--- /dev/null
+++ b/xfce-extra/xfce4-wavelan-plugin/xfce4-wavelan-plugin-0.6.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A panel plug-in to display wireless interface statistics"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-wavelan-plugin"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="kernel_linux"
+
+COMMON_DEPEND=">=xfce-base/libxfce4ui-4.12:=[gtk3(+)]
+ >=xfce-base/xfce4-panel-4.12:="
+RDEPEND="${COMMON_DEPEND}
+ kernel_linux? ( sys-apps/net-tools )"
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}